let
  sources = import ./sources.nix;

  # declare pkgs from sources
  pkgs = import sources.nixpkgs { };
in sources // {
  nixpkgs = pkgs.applyPatches {
    src = sources.nixpkgs;
    name = "nixpkgs-patched";
    patches = [
      # tmp - lldap: 0.5.1-unstable-2024-10-30 -> 0.6.1
      (pkgs.fetchpatch {
        url = "https://github.com/NixOS/nixpkgs/pull/359835.patch";
        sha256 = "sha256-2C9l4v9MaUJyiaB+kslTsSjsqTZ7RlcfMNlRzZblMik=";
      })
      # tmp - stalwart-mail.webadmin: pin wasm-bindgen-cli version
      # (pkgs.fetchpatch {
      #   url = "https://github.com/NixOS/nixpkgs/pull/353360.patch";
      #   sha256 = "sha256-WPNnvVmtySyEk58kVIYWVx3VN8MhX4v2ITLLnUGhpz4=";
      # })
    ];
  };
}
